[greenstone-users] RE: Buildcol.pl: Weak References not implemented...

From Belanger, Arthur
DateSat Oct 18 04:26:56 2008
Subject [greenstone-users] RE: Buildcol.pl: Weak References not implemented...
In-Reply-To (D6B530A1090A224EA17A37D3BFE35F5E264DACC332-XVS2-CLUSTER-yu-yale-edu)
Hello again.

Sorry to bother you with this but I thought I'd tell you how I fixed the problem in case anyone else runs across it.

Looking further into mu Google results, I found that others (on different platforms) fixed the problem by telling cpan to force install Scalar::Util. This forces a reinstall of Scalar::Util. That did the trick.

--
Arthur Belanger
Medical Library System Manager
ITS Academic Media & Technology
Yale University
PO Box 208065
New Haven, CT 06520-8065

(203) 785-6928
(203) 737-2859, fax

mailto:Arthur.Belanger@Yale.Edu
http://www.yale.edu/its/about/amt
http://info.med.yale.edu/library


NOTE: Yale ITS will NEVER request passwords or other personal information via email. Messages requesting such information are fraudulent and should be deleted.

________________________________
From: greenstone-users-bounces@list.scms.waikato.ac.nz [mailto:greenstone-users-bounces@list.scms.waikato.ac.nz] On Behalf Of Belanger, Arthur
Sent: Friday, October 17, 2008 10:36 AM
To: greenstone-users@list.scms.waikato.ac.nz
Subject: [greenstone-users] Buildcol.pl: Weak References not implemented...

Hi.

I am running GS version 2.80 on Red Hat Enterprise Linux with perl 5.8.8.

When I run buildcol.pl, I get the following error:

Weak references are not implemented in the version of perl at /usr/local/gsdl/perllib/cpan/XML/XPath/Twig.pm line 96
BEGIN failed--compilation aborted at /usr/local/gsdl/perllib/cpan/XML/XPath/Twig.pm line 129.
Compilation failed in require at /usr/local/gsdl/bin/script/buildcol.pl line 53.
BEGIN failed--compilation aborted at /usr/local/gsdl/bin/script/buildcol.pl line 53.

I've googled around and found that when others had similar problems, they were able to fix it by installing Scalar::Util from CPAN. When I tried this, cpan told me that Scalar was up to date. I have version 1.19. I also have List::Util version 1.19.

I have tied using the Twig that came with Greenstone as well as the one from CPAN.

None of these eliminated the error.

Has anyone else ran into this problem and how did you fix it?

Thanks very much.

--
Arthur Belanger
Medical Library System Manager
ITS Academic Media & Technology
Yale University
PO Box 208065
New Haven, CT 06520-8065

(203) 785-6928
(203) 737-2859, fax

mailto:Arthur.Belanger@Yale.Edu
http://www.yale.edu/its/about/amt
http://info.med.yale.edu/library


NOTE: Yale ITS will NEVER request passwords or other personal information via email. Messages requesting such information are fraudulent and should be deleted.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://list.scms.waikato.ac.nz/mailman/private/greenstone-users/attachments/20081017/7f896241/attachment.html